<?php



$tdataDisponibilidadesVinha = array();
$tdataDisponibilidadesVinha[".searchableFields"] = array();
$tdataDisponibilidadesVinha[".ShortName"] = "DisponibilidadesVinha";
$tdataDisponibilidadesVinha[".OwnerID"] = "";
$tdataDisponibilidadesVinha[".OriginalTable"] = "Vinha";


$tdataDisponibilidadesVinha[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdataDisponibilidadesVinha[".originalPagesByType"] = $tdataDisponibilidadesVinha[".pagesByType"];
$tdataDisponibilidadesVinha[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdataDisponibilidadesVinha[".originalPages"] = $tdataDisponibilidadesVinha[".pages"];
$tdataDisponibilidadesVinha[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataDisponibilidadesVinha[".originalDefaultPages"] = $tdataDisponibilidadesVinha[".defaultPages"];

//	field labels
$fieldLabelsDisponibilidadesVinha = array();
$fieldToolTipsDisponibilidadesVinha = array();
$pageTitlesDisponibilidadesVinha = array();
$placeHoldersDisponibilidadesVinha = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsDisponibilidadesVinha["Portuguese(Standard)"] = array();
	$fieldToolTipsDisponibilidadesVinha["Portuguese(Standard)"] = array();
	$placeHoldersDisponibilidadesVinha["Portuguese(Standard)"] = array();
	$pageTitlesDisponibilidadesVinha["Portuguese(Standard)"] = array();
	$fieldLabelsDisponibilidadesVinha["Portuguese(Standard)"]["Varieta"] = "Varieta";
	$fieldToolTipsDisponibilidadesVinha["Portuguese(Standard)"]["Varieta"] = "";
	$placeHoldersDisponibilidadesVinha["Portuguese(Standard)"]["Varieta"] = "";
	$fieldLabelsDisponibilidadesVinha["Portuguese(Standard)"]["Totale"] = "Totale";
	$fieldToolTipsDisponibilidadesVinha["Portuguese(Standard)"]["Totale"] = "";
	$placeHoldersDisponibilidadesVinha["Portuguese(Standard)"]["Totale"] = "";
	$fieldLabelsDisponibilidadesVinha["Portuguese(Standard)"]["Quantidade_Vendida"] = "Quantidade Vendida";
	$fieldToolTipsDisponibilidadesVinha["Portuguese(Standard)"]["Quantidade_Vendida"] = "";
	$placeHoldersDisponibilidadesVinha["Portuguese(Standard)"]["Quantidade_Vendida"] = "";
	$fieldLabelsDisponibilidadesVinha["Portuguese(Standard)"]["Stock"] = "Stock";
	$fieldToolTipsDisponibilidadesVinha["Portuguese(Standard)"]["Stock"] = "";
	$placeHoldersDisponibilidadesVinha["Portuguese(Standard)"]["Stock"] = "";
	$fieldLabelsDisponibilidadesVinha["Portuguese(Standard)"]["Marza"] = "Marza";
	$fieldToolTipsDisponibilidadesVinha["Portuguese(Standard)"]["Marza"] = "";
	$placeHoldersDisponibilidadesVinha["Portuguese(Standard)"]["Marza"] = "";
	if (count($fieldToolTipsDisponibilidadesVinha["Portuguese(Standard)"]))
		$tdataDisponibilidadesVinha[".isUseToolTips"] = true;
}


	$tdataDisponibilidadesVinha[".NCSearch"] = true;


	$tdataDisponibilidadesVinha[".scrollGridBody"] = true;

$tdataDisponibilidadesVinha[".shortTableName"] = "DisponibilidadesVinha";
$tdataDisponibilidadesVinha[".nSecOptions"] = 0;

$tdataDisponibilidadesVinha[".mainTableOwnerID"] = "";
$tdataDisponibilidadesVinha[".entityType"] = 1;

$tdataDisponibilidadesVinha[".strOriginalTableName"] = "Vinha";

	



$tdataDisponibilidadesVinha[".showAddInPopup"] = true;

$tdataDisponibilidadesVinha[".showEditInPopup"] = false;

$tdataDisponibilidadesVinha[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
			;
$popupPagesLayoutNames["add"] = "add";
$tdataDisponibilidadesVinha[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataDisponibilidadesVinha[".listAjax"] = false;
//	temporary
$tdataDisponibilidadesVinha[".listAjax"] = false;

	$tdataDisponibilidadesVinha[".audit"] = true;

	$tdataDisponibilidadesVinha[".locking"] = true;


$pages = $tdataDisponibilidadesVinha[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataDisponibilidadesVinha[".edit"] = true;
	$tdataDisponibilidadesVinha[".afterEditAction"] = 1;
	$tdataDisponibilidadesVinha[".closePopupAfterEdit"] = 1;
	$tdataDisponibilidadesVinha[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataDisponibilidadesVinha[".add"] = true;
$tdataDisponibilidadesVinha[".afterAddAction"] = 1;
$tdataDisponibilidadesVinha[".closePopupAfterAdd"] = 1;
$tdataDisponibilidadesVinha[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataDisponibilidadesVinha[".list"] = true;
}



$tdataDisponibilidadesVinha[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataDisponibilidadesVinha[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataDisponibilidadesVinha[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataDisponibilidadesVinha[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataDisponibilidadesVinha[".printFriendly"] = true;
}



$tdataDisponibilidadesVinha[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataDisponibilidadesVinha[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataDisponibilidadesVinha[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataDisponibilidadesVinha[".isUseAjaxSuggest"] = true;

$tdataDisponibilidadesVinha[".rowHighlite"] = true;



			

$tdataDisponibilidadesVinha[".ajaxCodeSnippetAdded"] = false;

$tdataDisponibilidadesVinha[".buttonsAdded"] = false;

$tdataDisponibilidadesVinha[".addPageEvents"] = false;

// use timepicker for search panel
$tdataDisponibilidadesVinha[".isUseTimeForSearch"] = false;




$tdataDisponibilidadesVinha[".allSearchFields"] = array();
$tdataDisponibilidadesVinha[".filterFields"] = array();
$tdataDisponibilidadesVinha[".requiredSearchFields"] = array();

$tdataDisponibilidadesVinha[".googleLikeFields"] = array();
$tdataDisponibilidadesVinha[".googleLikeFields"][] = "Marza";



$tdataDisponibilidadesVinha[".tableType"] = "list";

$tdataDisponibilidadesVinha[".printerPageOrientation"] = 0;
$tdataDisponibilidadesVinha[".nPrinterPageScale"] = 100;

$tdataDisponibilidadesVinha[".nPrinterSplitRecords"] = 40;

$tdataDisponibilidadesVinha[".geocodingEnabled"] = false;










$tdataDisponibilidadesVinha[".pageSize"] = 999;

$tdataDisponibilidadesVinha[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataDisponibilidadesVinha[".strOrderBy"] = $tstrOrderBy;

$tdataDisponibilidadesVinha[".orderindexes"] = array();

$tdataDisponibilidadesVinha[".sqlHead"] = "SELECT Assegnatos.Marza,  Assegnatos.Varieta,  Assegnatos.Totale,  SUM(Vinha.Quantidade) AS `Quantidade Vendida`,  COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0)) AS Stock";
$tdataDisponibilidadesVinha[".sqlFrom"] = "FROM Vinha  LEFT OUTER JOIN Assegnatos ON Vinha.CodPlanta = Assegnatos.Codice";
$tdataDisponibilidadesVinha[".sqlWhereExpr"] = "";
$tdataDisponibilidadesVinha[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataDisponibilidadesVinha[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataDisponibilidadesVinha[".arrGroupsPerPage"] = $arrGPP;

$tdataDisponibilidadesVinha[".highlightSearchResults"] = true;

$tableKeysDisponibilidadesVinha = array();
$tdataDisponibilidadesVinha[".Keys"] = $tableKeysDisponibilidadesVinha;


$tdataDisponibilidadesVinha[".hideMobileList"] = array();




//	Marza
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Marza";
	$fdata["GoodName"] = "Marza";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinha","Marza");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Marza";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Assegnatos.Marza";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Assegnatos";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "Marza";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Marza";

	

	
	$edata["LookupOrderBy"] = "Marza";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataDisponibilidadesVinha["Marza"] = $fdata;
		$tdataDisponibilidadesVinha[".searchableFields"][] = "Marza";
//	Varieta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Varieta";
	$fdata["GoodName"] = "Varieta";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinha","Varieta");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Varieta";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Assegnatos.Varieta";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataDisponibilidadesVinha["Varieta"] = $fdata;
		$tdataDisponibilidadesVinha[".searchableFields"][] = "Varieta";
//	Totale
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Totale";
	$fdata["GoodName"] = "Totale";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinha","Totale");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Totale";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Assegnatos.Totale";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataDisponibilidadesVinha["Totale"] = $fdata;
		$tdataDisponibilidadesVinha[".searchableFields"][] = "Totale";
//	Quantidade Vendida
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Quantidade Vendida";
	$fdata["GoodName"] = "Quantidade_Vendida";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinha","Quantidade_Vendida");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Quantidade Vendida";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(Vinha.Quantidade)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataDisponibilidadesVinha["Quantidade Vendida"] = $fdata;
		$tdataDisponibilidadesVinha[".searchableFields"][] = "Quantidade Vendida";
//	Stock
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Stock";
	$fdata["GoodName"] = "Stock";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinha","Stock");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Stock";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataDisponibilidadesVinha["Stock"] = $fdata;
		$tdataDisponibilidadesVinha[".searchableFields"][] = "Stock";


$tables_data["DisponibilidadesVinha"]=&$tdataDisponibilidadesVinha;
$field_labels["DisponibilidadesVinha"] = &$fieldLabelsDisponibilidadesVinha;
$fieldToolTips["DisponibilidadesVinha"] = &$fieldToolTipsDisponibilidadesVinha;
$placeHolders["DisponibilidadesVinha"] = &$placeHoldersDisponibilidadesVinha;
$page_titles["DisponibilidadesVinha"] = &$pageTitlesDisponibilidadesVinha;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["DisponibilidadesVinha"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["DisponibilidadesVinha"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_DisponibilidadesVinha()
{
$proto1=array();
$proto1["m_strHead"] = "SELECT";
$proto1["m_strFieldList"] = "Assegnatos.Marza,  Assegnatos.Varieta,  Assegnatos.Totale,  SUM(Vinha.Quantidade) AS `Quantidade Vendida`,  COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0)) AS Stock";
$proto1["m_strFrom"] = "FROM Vinha  LEFT OUTER JOIN Assegnatos ON Vinha.CodPlanta = Assegnatos.Codice";
$proto1["m_strWhere"] = "";
$proto1["m_strOrderBy"] = "";
	
		;
			$proto1["cipherer"] = null;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = false;
$proto3["m_inBrackets"] = false;
$proto3["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto3);

$proto1["m_where"] = $obj;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto1["m_having"] = $obj;
$proto1["m_fieldlist"] = array();
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "Marza",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinha"
));

$proto7["m_sql"] = "Assegnatos.Marza";
$proto7["m_srcTableName"] = "DisponibilidadesVinha";
$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto1["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "Varieta",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinha"
));

$proto9["m_sql"] = "Assegnatos.Varieta";
$proto9["m_srcTableName"] = "DisponibilidadesVinha";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto1["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "Totale",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinha"
));

$proto11["m_sql"] = "Assegnatos.Totale";
$proto11["m_srcTableName"] = "DisponibilidadesVinha";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto1["m_fieldlist"][]=$obj;
						$proto13=array();
			$proto14=array();
$proto14["m_functiontype"] = "SQLF_SUM";
$proto14["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "Quantidade",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "DisponibilidadesVinha"
));

$proto14["m_arguments"][]=$obj;
$proto14["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto14);

$proto13["m_sql"] = "SUM(Vinha.Quantidade)";
$proto13["m_srcTableName"] = "DisponibilidadesVinha";
$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "Quantidade Vendida";
$obj = new SQLFieldListItem($proto13);

$proto1["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0))"
));

$proto16["m_sql"] = "COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0))";
$proto16["m_srcTableName"] = "DisponibilidadesVinha";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "Stock";
$obj = new SQLFieldListItem($proto16);

$proto1["m_fieldlist"][]=$obj;
$proto1["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "Vinha";
$proto19["m_srcTableName"] = "DisponibilidadesVinha";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "CodVenda";
$proto19["m_columns"][] = "CodUser";
$proto19["m_columns"][] = "Data";
$proto19["m_columns"][] = "CodPlanta";
$proto19["m_columns"][] = "CodCliente";
$proto19["m_columns"][] = "Quantidade";
$proto19["m_columns"][] = "Confirmado";
$proto19["m_columns"][] = "Pago20%";
$proto19["m_columns"][] = "Encomendado";
$proto19["m_columns"][] = "PagoTotal";
$proto19["m_columns"][] = "Fornecido";
$proto19["m_columns"][] = "NEntrega";
$proto19["m_columns"][] = "PE";
$proto19["m_columns"][] = "Clone";
$proto19["m_columns"][] = "NE";
$proto19["m_columns"][] = "Saldo";
$proto19["m_columns"][] = "CodMarza";
$proto19["m_columns"][] = "Saldo1";
$proto19["m_columns"][] = "Escolha";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "Vinha";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "DisponibilidadesVinha";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto1["m_fromlist"][]=$obj;
												$proto22=array();
$proto22["m_link"] = "SQLL_LEFTJOIN";
			$proto23=array();
$proto23["m_strName"] = "Assegnatos";
$proto23["m_srcTableName"] = "DisponibilidadesVinha";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "Data";
$proto23["m_columns"][] = "Marza";
$proto23["m_columns"][] = "Talea";
$proto23["m_columns"][] = "Varieta";
$proto23["m_columns"][] = "Totale";
$proto23["m_columns"][] = "Codice";
$proto23["m_columns"][] = "Clone";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "LEFT OUTER JOIN Assegnatos ON Vinha.CodPlanta = Assegnatos.Codice";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "DisponibilidadesVinha";
$proto24=array();
$proto24["m_sql"] = "Vinha.CodPlanta = Assegnatos.Codice";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "CodPlanta",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "DisponibilidadesVinha"
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "= Assegnatos.Codice";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto1["m_fromlist"][]=$obj;
$proto1["m_groupby"] = array();
												$proto26=array();
						$obj = new SQLField(array(
	"m_strName" => "Marza",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinha"
));

$proto26["m_column"]=$obj;
$obj = new SQLGroupByItem($proto26);

$proto1["m_groupby"][]=$obj;
												$proto28=array();
						$obj = new SQLField(array(
	"m_strName" => "Varieta",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinha"
));

$proto28["m_column"]=$obj;
$obj = new SQLGroupByItem($proto28);

$proto1["m_groupby"][]=$obj;
												$proto30=array();
						$obj = new SQLField(array(
	"m_strName" => "Totale",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinha"
));

$proto30["m_column"]=$obj;
$obj = new SQLGroupByItem($proto30);

$proto1["m_groupby"][]=$obj;
$proto1["m_orderby"] = array();
$proto1["m_srcTableName"]="DisponibilidadesVinha";		
$obj = new SQLQuery($proto1);

	return $obj;
}
$queryData_DisponibilidadesVinha = createSqlQuery_DisponibilidadesVinha();


	
		;

					

$tdataDisponibilidadesVinha[".sqlquery"] = $queryData_DisponibilidadesVinha;

$tableEvents["DisponibilidadesVinha"] = new eventsBase;
$tdataDisponibilidadesVinha[".hasEvents"] = false;

?>